/***************************************************************************
 *   Copyright (C) 2009 by Stefan Bühler                                   *
 *   stbuehler@web.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TORUSCHESSTESTGAME_H
#define TORUSCHESSTESTGAME_H

#include <QWidget>

#include "toruschess.h"

namespace toruschess {
	
	class TestPlace : public QWidget {
	public:
		TestPlace(QObject *parent, const Field *field, const Pos p);
	
		const Pos& pos() const { return m_pos; }
		const Field* field() const { return m_field; }
	
	private:
		const Field *m_field;
		Pos m_pos;
	};
	
	class TestField : public QWidget {
	};
	
	/**
		@author Stefan Bühler <stbuehler@web.de>
	*/
	class TestGame{
	public:
		TestGame();
	
	};

}

#endif
